!DIR$ FIXEDFORMLINESIZE:132
      subroutine check_Comb_pars(info)
      use blocks
      implicit none
      integer*4, intent(out) :: info

      integer*4 depth_max_loc
      logical*4 flag

 400  format(a54    )
 401  format(a43, i5)

      info = 0
      depth_max = min(10,N1)

      inquire(file='Comb.par', exist=flag)
      if(.not. flag) then
         info = -1
         return
      end if

      open(unit=70, file='Comb.par', status='old',err=100)
                                                       ! Default      Allowed 
      read(70,*,err=101,end=101) depth_max_loc         ! min(10,N1)   [1, N1]

      close(unit=70)

      
      if     (depth_max_loc .lt. 1)       then ! Par 1
         write(*,400) 'check_Comb_pars:       depth_max<1; not changing'
      else if(depth_max_loc .gt. N1)       then
         write(*,400) 'check_Comb_pars:      depth_max>N1; not changing'
      else if(depth_max_loc .eq. depth_max) then
         write(*,400) 'check_Comb_pars: depth_max=default; not changing'
      else
         depth_max = depth_max_loc
         info = info + 1
         write(*,401) 'check_Comb_pars: depth_max........new value:', depth_max
      end if

      return

 100  continue
      write(*,*) 'check_Comb_pars: Error opening Comb.par'
      info = 100
      return

 101  continue
      write(*,*) 'check_Comb_pars: Error reading [depth_max]'
      info = 101
      return

      end
