!DIR$ FIXEDFORMLINESIZE:132
      pure subroutine check_roots(A0,A1,A2,z,k,flag)
      use blocks
      implicit none

      real*8   , intent(in)  :: A0, A1, A2
      real*8   , intent(in)  :: z(1:3)
      integer*4, intent(in)  :: k
      logical*4, intent(out) :: flag

      real*8    sum, zi, x
      integer*4 i

      flag = .false.

      sum = A0
      do 1, i=1,k
         zi = z(i)
         x = zi
         sum = sum + A1*x
         x = x*zi
         sum = sum + A2*x
         x = x*zi
         sum = sum + x
         if(dabs(sum) .gt. small) then
            flag = .true.
            return
         end if
 1    continue

      return
      end
