!DIR$ FIXEDFORMLINESIZE:132
      subroutine make_phi(info)
      use blocks
      implicit none
      integer*4, intent(out) :: info

      integer*4 i, k, N_loc, N1_loc
      real*8    x, y

      info = 0

      open(unit=70, file='phi.dat', status='old',err=10)
      read(70,*,err=11,end=11) N_loc, N1_loc
      if(N_loc .ne. N) then
         info = -1
         return
      end if
      if(N1_loc .ne. N1) then
         info = -2
         return
      end if

      i = 0
 1    continue
      read(70,*,err=12,end=2) k, x, y
      i = i + 1
      if(i .ne. k) then
         write(*,*) 'make_phi: File "phi.dat" has incorrect entry in line:', i
         info = i
         return
      end if
      goto 1
 2    continue
      close(unit=70)

      if     (i .gt. L) then
         info = -3
      else if(i .lt. L) then
         info = -4
         return
      end if

      open(unit=70, file='phi.dat', status='old',err=10)
      read(70,*,err=11,end=11) N_loc, N1_loc
      do 3, i=1,L
      read(70,*,end=12,err=12) k, x, y
      phi(i) = x + cu*y
 3    continue
      close(unit=70)

      return

 10   continue
      write(*,*) 'make_phi: File "phi.dat" can not be open; exiting'
      info = -10
      return

 11   continue
      write(*,*) 'make_phi: Error reading N, r in "phi.dat"; exiting'
      info = -11
      return

 12   continue
      write(*,*) 'make_phi: Error reading a data line in "phi.dat"; exiting'
      info = -12
      return

      end
